Bug 160053 - XRandR deadlock fix
XRandR deadlock fix
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks: FC4Update
  Show dependency treegraph
 
Reported: 2005-06-10 11:09 EDT by Bastien Nocera
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-31 18:44:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2005-06-10 11:09:54 EDT
A fix for this testcase (which I want to use in Totem) has been committed to
xorg HEAD.

Upstream bug is:
https://bugs.freedesktop.org/show_bug.cgi?id=1976
Totem bug is:
http://bugzilla.gnome.org/show_bug.cgi?id=129986
Patch is in CVS, at:
http://cvs.freedesktop.org/xorg/xc/lib/Xrandr/Xrandr.c?r1=1.4&r2=1.5

It would be good if this fix could make it in Fedora Core 4, so that I can
finally fix the Totem feature request.
Comment 4 Mike A. Harris 2005-06-21 12:13:47 EDT
Please reopen the upstream bug report and request that the fix also get
committed to the XORG-6_8-branch stable branch of CVS.  We want to minimize
the number of patches that we apply to our sources at all times to ease
maintenance.  Having upstream commit to including patches in the stable
branch first, makes our job much easier.  If you could do that and ping
me back, I'd appreciate it.

TIA.
Comment 5 Mike A. Harris 2005-08-30 03:51:14 EDT
Upstream bug report doesn't have the patch attached, nor nominated, so
it wont get into 6.8.x.  If it is in CVS head however, it will make it into
Fedora Core 5.

Closing bug "RAWHIDE" currently, as we will have xorg modular in FC5, even
though it isn't built in rawhide yet.

Comment 6 Bastien Nocera 2005-11-02 09:32:29 EST
Reopening, the patch is now available in the upstream bug report, and FC5 is
still some way away...
Comment 7 Mike A. Harris 2006-05-31 18:44:50 EDT
FC5 has been out for a while now.  Closing as fixed in CURRENTRELEASE of FC5.

Note You need to log in before you can comment on or make changes to this bug.